- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_uri_t

# mongoc_uri_new_for_host_port()

## Synopsis

    mongoc_uri_t *
    mongoc_uri_new_for_host_port (const char *hostname, uint16_t port);

## Parameters

- `hostname`: A string containing the hostname.
- `port`: A uint16_t.

## Description

Creates a new mongoc_uri_t based on the hostname and port provided.

## Returns

Returns a newly allocated mongoc_uri_t that should be freed with mongoc_uri_destroy() when no longer in use.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.